Subject: Re: [MEXT] Fwd: New Version Notification fordraft-kuntz-dmm-summary-00.txt

From: <[email-masked]>
Date: Tue, 10 May 2011 11:13:25 +0200

Dear Romain,

Thank you for this draft which synthesizes well the different requirements/proposals for DMM and help to further analyze/compare them.
Please find below some comments we shared with Pierrick when reviewing the draft, most of them being related to DMA.

1) section 2.1 Issues of centralized mobility solutions: it may be also stated that a huge percentage of MN communications are made in a fixed/nomadic situation and that existing mobility solutions systematically rely on HA/tunnels mgt, whithout considering if the MN is really moving or not (except when it is on its Home link, which in fact is very rarely happening). This statement is further described in http://tools.ietf.org/html/draft-chan-distributed-mobility-ps-00, section "4.4. Need versus no need for mobility support". 

2) the following sentence sounds like if DMA would have combined FAMA and DMI, whereas it was designed prior to FAMA: "In Dynamic Mobility Anchoring (DMA) proposed in [I-D.seite-netext-dma], the best ideas of FAMA and DMI are combined"

3) current DMA does not address the reachability issue but, as Pierrick indicated in a previous discussion on the ML, DMA allows the MN to manage multiple addresses (or prefixes) simultaneously, which can be anchored in different MAR; thus nothing prevent DMA to maintain one address (or prefix) in a given MAR dedicated to anchor incoming communications, like it would be done in a centralized HA maintaining global Home addresses. E.g., DNS resolution will provide this "global home address" whereas MN initiated communication flows will be anchored on different prefixes/addresses. We should update the draft with such a feature.

Additionally, other solutions to answer reachability issue are given in http://tools.ietf.org/html/draft-yokota-dmm-scenario: 1) use Distributed Hash Table (DHT) to select the correct HA or 2) multiple delivery to the Has.
Their application to DMA may be analysed.

4) As you pointed out, current draft-seite-netext-dma reuse PMIP. However, DMA is meant to describe the principle of dynamic and distributed mobility anchoring, and, as such, is not tied to the mobility protocol (providing that it is an anchor based mobility protocol). Actually, the same principle of dynamic and distributed mobility can leverage on MIP. We give clues for such a deployment in http://tools.ietf.org/html/draft-liu-distributed-mobility (section 6.1). 

5) In the conclusion it is not clear what you mean by "partial" dynamic mobility support. The basic idea of DMA, is to provide a fully dynamic mechanism in order to forward/tunnel only flows requiring such a mobility support in the network. 
I am convinced that the dynamic property is more important than the distributed one. 

6) The conclusion states that "it is still unclear how applications could select the desired source address for their sessions". For this issue we consider the use of IPv6 address states by automatically adapt their relative lifetime: when in the "Active/Preferred state", the address can be used for any new flow/transport connection; when in the "Active/Deprecated" state, the address shall be used only to maintain existing communication sessions. Then, prefix/addresses allocated in previous MAR shall be kept "active/deprecated" in order to avoid their use for new communications/flows.

Hope this helps ;-)

Philippe and Pierrick

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De la part de
> Romain KUNTZ
> Envoyé : vendredi 6 mai 2011 03:20
> À : [email-masked]
> Cc : Ryuji WAKIKAWA; Divya Sudhakar; Lixia Zhang
> Objet : [MEXT] Fwd: New Version Notification fordraft-kuntz-dmm-summary-
> 00.txt
> 
> Dear all,
> 
> We have submitted a summary draft of the DMM activities in MEXT. I  hope
> you will find it useful and that it will trigger some more discussions on
> that topic. The draft is available here:
> 
> http://tools.ietf.org/html/draft-kuntz-dmm-summary-00
> 
> Thank you,
> Romain Kuntz
> 
> 
> Begin forwarded message:
> 
> > From: [email-masked]
> > Date: May 5, 2011 18:15:37 PDT
> > To: [email-masked]
> > Cc: [email-masked], [email-masked], [email-masked],
> [email-masked]
> > Subject: New Version Notification for draft-kuntz-dmm-summary-00.txt
> >
> > A new version of I-D, draft-kuntz-dmm-summary-00.txt has been
> successfully submitted by Romain Kuntz and posted to the IETF repository.
> >
> > Filename:	 draft-kuntz-dmm-summary
> > Revision:	 00
> > Title:		 A Summary of Distributed Mobility Management
> > Creation date:	 2011-05-05
> > WG ID:		 Individual Submission
> > Number of pages: 20
> >
> > Abstract:
> >   As stated in the MEXT charter, the working group will "work on
> >   operational considerations on setting up Mobile IPv6 networks so that
> >   traffic is distributed in an optimal way".  This topic, referred to
> >   as Distributed Mobility Management (DMM), has motivated the
> >   submission of multiple problem statement and solution drafts.  This
> >   document aims at summarizing the current status of the DMM effort, in
> >   order to initiate more discussions within the working group.
> >
> >
> >
> >
> > The IETF Secretariat
> 
> 
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext

---

From: Romain KUNTZ <[email-masked]>
Date: Mon, 16 May 2011 17:32:27 -0700

Dear Philippe and Pierrick,

> 1) section 2.1 Issues of centralized mobility solutions: it may be also stated that a huge percentage of MN communications are made in a fixed/nomadic situation and that existing mobility solutions…

Whether it represents a huge percentage of the MN communications depends on the deployment scenario & the type of application, but in any case it is true that the systematic use of the tunnel should be pointed in that section. We will add it for the next version. 

> 2) the following sentence sounds like if DMA would have combined FAMA and DMI, whereas it was designed prior to FAMA: "In Dynamic Mobility Anchoring (DMA) proposed in [I-D.seite-netext-dma], the be…

True, sorry for the confusion. We will correct that. 

> Their application to DMA may be analysed.

Right, we will add these potential solutions in the conclusion. 

> 4) As you pointed out, current draft-seite-netext-dma reuse PMIP. However, DMA is meant to describe the principle of dynamic and distributed mobility anchoring, and, as such, is not tied to the mob…

Yes, actually DMI and FAMA explains how to apply this principle to MIPv6, which is why we only focused on PMIPv6 for DMA. 

> I am convinced that the dynamic property is more important than the distributed one. 

We have scored the dynamic mobility support as "partial" because none of the protocols consider how applications could effectively use such mechanism. Is it a protocol matter? Or an application API matter?

Mobile IPv6 already proposes such dynamic mobility through RFC5014 by allowing to bind a socket to the HoA or the CoA. The DMM solutions makes the problem a little bit more complex because more than 1 HoA is used, but they do not explain whether they should extend RFC5014, or have some specific source address selection mechanism (such as the one you explain below). 

> 6) The conclusion states that "it is still unclear how applications could select the desired source address for their sessions". For this issue we consider the use of IPv6 address states by automat…

Do you have any pointer (draft/paper) where this is explained and that we could reference in our draft?

> Hope this helps ;-)

Yes, thanks again for the input! We will update the draft accordingly.

romain